[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazDialogs' (#lcl)

# TLazMessageDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lazdialogs.pas line 76

`type TLazMessageDialog = class(TForm)`
`public`
`constructor CreateNew(); override;`
`end;`

## Inheritance

`TLazMessageDialog`
`TForm` |  | Implements a form used in an LCL application.
`TCustomForm` |  | The base type for TForm classes.
`TCustomDesignControl` |  | Provides a designer surface for scaling and layout of its child controls.
`TScrollingWinControl` |  | Implements a windowed control with scroll bars.
`TCustomControl` |  | The base class for windowed controls which paint themselves.
`TWinControl` |  | Implements a windowed control which can contain other child controls.
`TControl` |  | The base class for visible controls.
`TLCLComponent` |  | The base class for LCL components which have an associated widget.
`TComponent`
?
`TObject`